# Watch a question and be told when its answer changes

`POST /monitor` · Rivier · analytics

Watch a question and be told when its answer changes.

- Scope: analytics:write
- Graphql: Mutation.analyticsMonitorCreate
- Sdk: analytics.monitor.create
- Cli: analytics monitor create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "query": {
      "type": "string",
      "minLength": 1,
      "maxLength": 1000
    },
    "webhookUrl": {
      "type": "string",
      "format": "uri"
    }
  },
  "required": [
    "query"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/monitor' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "query": "string"
}'
```
